package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 体彩方案玩法明细 
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaBettingPlanSportDetail对象", description="体彩方案玩法明细 ")
public class TaBettingPlanSportDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "条目编号")
    private Integer itemNo;

    @ApiModelProperty(value = "比赛ID")
    private Integer matchId;

    @ApiModelProperty(value = "玩法编码")
    private String wayCode;

    @ApiModelProperty(value = "玩法名称")
    private String wayName;

    @ApiModelProperty(value = "赔率")
    private String odds;

    @ApiModelProperty(value = "赛制编码")
    private String ruleCode;

    @ApiModelProperty(value = "赛制名称")
    private String ruleName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Integer status;


}
