package com.yunzhi.niucai.service;

import com.yunzhi.niucai.entity.TaBettingPlan;
import com.yunzhi.niucai.entity.TaCustomerBetting;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.niucai.entity.TaLotteryResult;
import com.yunzhi.niucai.entity.TdLottery;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 客户投注  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-09-09
 */
public interface ITaCustomerBettingService extends IService<TaCustomerBetting> {

    TaCustomerBetting saveByBetting(TaBettingPlan taBettingPlan) throws Exception;

    Map<String, Object> getSummaryOf(Integer id) throws Exception;

    List<TaCustomerBetting> getAllUnOpenBettingsBy(TdLottery lottery, TaLotteryResult lotteryResult) throws Exception;
}
