package com.yunzhi.niucai.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "登录参数")
@Data
public class SignUpParam {
    @ApiModelProperty("用户名")
    String name;

    @ApiModelProperty("密码, MD5 加密后数据")
    String password;

    @ApiModelProperty("手机")
    String phone;

    @ApiModelProperty("验证码")
    String captcha;

    @ApiModelProperty("推荐码")
    String referralCode;
}
