package com.yunzhi.niucai.vo;


import com.yunzhi.niucai.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@ApiModel(description = "竞彩字典")
@Data
@Accessors(chain = true)
public class SportDicts {

    /**
     * 联赛
     */
    @ApiModelProperty("联赛")
    List<TdLeague> leagues;

    /**
     * 球队
     */
    @ApiModelProperty("球队")
    List<TdTeam> teams;

    /**
     * 玩法
     */
    @ApiModelProperty("玩法")
    List<TdPlayWay> playWays;

    /**
     * 闯关
     */
    @ApiModelProperty("闯关")
    List<TdSportPass> passes;
}
