package com.yunzhi.niucai.config;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.NestedConfigurationProperty;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "sms")
public class SMSConfig {
    private String api;

    @NestedConfigurationProperty
    private Captcha captcha = new Captcha();

    @Data
    public static class Captcha {
        private String code;
        private String sign;
        private Integer expire;
    }
}
