package com.yunzhi.niucai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 数字彩开奖明细 
 * </p>
 *
 * @author yansen
 * @since 2020-09-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaLotteryResultDetail对象", description="数字彩开奖明细 ")
public class TaLotteryResultDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    @ApiModelProperty(value = "结果ID")
    private Integer resultNo;

    @ApiModelProperty(value = "等级")
    private String level;

    @ApiModelProperty(value = "注数")
    private String piece;

    @ApiModelProperty(value = "单注奖金")
    private String money;

    @ApiModelProperty(value = "追加注数")
    private String xPiece;

    @ApiModelProperty(value = "追加奖金")
    private String xMoney;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "状态")
    private Boolean status;


}
