package com.yunzhi.niucai.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum SportStatusEnum implements BaseEnum {
    READY(0, "未开售"),
    SALE(1, "在售"),
    NORMAL(2, "进行中"),
    FINISHED(3, "已完成"),
    INVALID(4, "无效场次"),
    CANCEL(5, "取消");

    private Integer code;
    private String desc;
}
