package com.yunzhi.niucai.service;

import com.yunzhi.niucai.entity.TaLotteryResult;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.niucai.entity.TdLottery;

import java.util.List;

/**
 * <p>
 * 数字彩开奖结果  服务类
 * </p>
 *
 * @author yansen
 * @since 2020-08-27
 */
public interface ITaLotteryResultService extends IService<TaLotteryResult> {

    List<TaLotteryResult> getLastResult() throws Exception;

    TaLotteryResult getLastResultByLottery(TdLottery tdLottery) throws Exception;

    TaLotteryResult getResultBy(TdLottery lottery, String today) throws Exception;
}
